DotsDocs
Team

List Organization Custom Roles

List the active custom roles defined on the organization, newest first.

GET
/v2/organizations/roles

List the active custom roles defined on the organization, newest first.

Authorization

api_key
headerAuthorizationBasic <token>

Query Parameters

limit?integer

Maximum number of results to return. Defaults to 100.

Range1 <= value <= 100
starting_after?string

Return results after the role with this ID.

Formatuuid
ending_before?string

Return results before the role with this ID.

Formatuuid

Response Body

OK

application/json
  1. response
data?array<>
has_more?boolean

true if there are more objects.

Example Request
curl -X GET 'https://api.dots.dev/api/v2/organizations/roles'
Example Response
{  "data": [    {      "id": "8a5f8a7e-1b0f-4f4b-9b2e-3c8d6f1e2a90",      "name": "Payout operator",      "actions": [        "create_payout",        "get",        "view_payouts_tab"      ],      "scope": "organization"    }  ],  "has_more": false}